<?php
    require('../components/utils.php');
    require('../components/db_config.php');
    adminLogin();

    if(isset($_POST['get_general'])){
        $q = "SELECT * FROM `settings` WHERE `sr_no`=?";
        $values = [1];
        $res = select($q, $values, "i");
        $data = mysqli_fetch_assoc($res);
        $json_data = json_encode($data);

        echo $json_data;
    }

    if(isset($_POST['upd_general'])){
        $frm_data = filteration($_POST);
        $q = "UPDATE `settings` SET `site_title`=? WHERE `sr_no`=?";
        $values = [$frm_data['site_title'],1];
        $res = update($q, $values, 'ss');

        echo $res;
    }

    if(isset($_POST['upd_shutdown'])){
        $frm_data = ($_POST['upd_shutdown']==0) ? 1 : 0;
        $q = "UPDATE `settings` SET `shutdown`=? WHERE `sr_no`=?";
        $values = [$frm_data,1];
        $res = update($q, $values, 'ii');

        echo $res;
    }

    if(isset($_POST['get_contact'])){
        $q = "SELECT * FROM `contact_detail` WHERE `sr_no`=?";
        $values = [1];
        $res = select($q, $values, "i");
        $data = mysqli_fetch_assoc($res);
        $json_data = json_encode($data);

        echo $json_data;
    }

    if(isset($_POST['upd_contact'])){
        $frm_data = filteration($_POST);
        $q = "UPDATE `contact_detail` SET `address`=?,`booking_phone`=?,`booking_email`=?,`reserve_phone`=?,`reserve_email`=?,`recep_phone`=?,`recep_email`=?,`offi_name`=?,`offi_phone`=?,`offi_email`=? WHERE `sr_no`=?";
        $values = [$frm_data['address'], $frm_data['booking_phone'], $frm_data['booking_email'], $frm_data['reserve_phone'], $frm_data['reserve_email'], $frm_data['recep_phone'], $frm_data['recep_email'], $frm_data['offi_name'], $frm_data['offi_phone'], $frm_data['offi_email'], 1];
        $res = update($q, $values, 'ssssssssssi');

        echo $res;
    }


?>